## bst-external 0.18.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

# Fix for when python is mapped to python2 not python3
# This is an issue in the sphinx-build script provided in the default install
# because it uses the generic python env, so we need to have a copy of this script
# but with an explicit call to python3.
#
# Why python3? We are using some features of sphinx that are only implemented
# currently in python3
#
PYV=$(shell python -c "import sys;t='{v[0]}'.format(v=list(sys.version_info[:2]));sys.stdout.write(t)")

ifeq ($(PYV), 2)
	SPHINXBUILD = ./sphinx-build3
endif

.PHONY: all templates html devhelp

# Canned recipe for generating plugin api skeletons
#   $1 = the plugin directory
#   $2 = the output docs directory
#
# Explanation:
#
#   Sphinx does not have any option for skipping documentation,
#   we don't want to document plugin code because nobody uses that
#   but we do want to use module-level docstrings in plugins in
#   order to explain how plugins work.
#
#   For this purpose, we replace sphinx-apidoc with a simple
#   makefile rule which generates a template slightly differently
#   from how sphinx does it, allowing us to get what we want
#   from plugin documentation.
#
define plugin-doc-skeleton
    @for file in $$(find ${1}/${2} -name "*.py" ! -name "__init__.py"); do \
        base=$$(basename $$file);                                   \
        module=${2}.$${base%.py};                                        \
        modname=$${base%.py};                                       \
        echo -n "Generating source/${2}/$${modname}.rst... ";       \
        sed -e "s|@@MODULENAME@@|$${modname}|g"                     \
            -e "s|@@MODULE@@|$${module}|g"                          \
            source/plugin.rsttemplate >                             \
            source/${2}/$${modname}.rst.tmp &&                      \
            mv source/${2}/$${modname}.rst.tmp source/${2}/$${modname}.rst || exit 1; \
        echo "Done."; \
    done
endef

# We set PYTHONPATH here because source/conf.py sys.modules hacks don't seem to help sphinx-build import the plugins
all: html devhelp

# Generate rst templates for the docs using a mix of sphinx-apidoc and
# our 'plugin-doc-skeleton' routine for plugin pages.
templates:
	mkdir -p source/elements
	mkdir -p source/sources
	$(call plugin-doc-skeleton,$(CURDIR)/../bst_external,elements)
	$(call plugin-doc-skeleton,$(CURDIR)/../bst_external,sources)

# Targets which generate docs with sphinx build
#
#
html devhelp: templates
	@echo "Building $@..."
	PYTHONPATH=$(CURDIR)/../bst_external \
	    $(SPHINXBUILD) -b $@ $(ALLSPHINXOPTS) "$(BUILDDIR)/$@" \
	    $(wildcard source/*.rst) \
	    $(wildcard source/elements/*.rst) \
	    $(wildcard source/sources/*.rst)
	@echo
	@echo "Build of $@ finished, output: $(CURDIR)/$(BUILDDIR)/$@"

testy:
	@echo "Using $(SPHINXBUILD)"
	@echo "Py is $(PYV)"

## bst-external 0.9.0

=== debian/changelog ===
bst-external (0.9.0-1) unstable; urgency=medium

  * Initial release (Closes: #919120)

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 13 Jan 2019 14:23:25 -0500

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: bst-external
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               gnome-pkg-tools,
               python3,
               python3-buildstream <!nocheck>,
               python3-ruamel.yaml <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pytest-runner,
               python3-setuptools,
               python3-setuptools-scm
Standards-Version: 4.3.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/gnome-team/bst-external
Vcs-Git: https://salsa.debian.org/gnome-team/bst-external.git
Homepage: https://gitlab.com/BuildStream/bst-external

Package: python3-bst-external
Section: python
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-buildstream
Enhances: buildstream
Description: external plugins for BuildStream toolset
 BuildStream is a GNOME project to improve the continuous integration
 of complex systems and applications. The project aims to pay special
 attention to those developers and integrators who care about the
 maintainability of their projects during a long period of time.
 .
 BuildStream is also a powerful and flexible software integration toolset.
 It has been designed to create different outputs out of a unique input
 and, at the same time, it is able to adapt to complex workflows, even
 when additional build tools are required. An important part of
 BuildStream is a sister project called BuildGrid, that allows
 BuildStream to build at scale.
 .
 This package provides a collection of BuildStream plugins that don't
 currently fit in with the core plugins.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with gnome,python3 --buildsystem=pybuild

# The tests need some work to pass in Debian
override_dh_auto_test:
	-dh_auto_test

=== debian/watch ===
version=4
https://gitlab.com/BuildStream/@PACKAGE@/tags \
	.*/archive/.*/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## bst-external 0.18.0

=== debian/changelog ===
bst-external (0.18.0-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on dh-sequence-gnome & dh-sequence-python3
  * Build-Depend on python3-pytest-cov for build tests

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 29 Sep 2019 07:29:33 -0400

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,13 @@
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>
 Build-Depends: debhelper-compat (= 12),
-               dh-python,
-               gnome-pkg-tools,
+               dh-sequence-gnome,
+               dh-sequence-python3,
                python3,
                python3-buildstream <!nocheck>,
                python3-ruamel.yaml <!nocheck>,
                python3-pytest <!nocheck>,
+               python3-pytest-cov <!nocheck>,
                python3-pytest-runner,
                python3-setuptools,
                python3-setuptools-scm

## bst-external 0.29.0

=== doc/Makefile ===
--- 
+++ 
@@ -13,20 +13,6 @@
 ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
 # the i18n builder cannot share the environment and doctrees with the others
 I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
-
-# Fix for when python is mapped to python2 not python3
-# This is an issue in the sphinx-build script provided in the default install
-# because it uses the generic python env, so we need to have a copy of this script
-# but with an explicit call to python3.
-#
-# Why python3? We are using some features of sphinx that are only implemented
-# currently in python3
-#
-PYV=$(shell python -c "import sys;t='{v[0]}'.format(v=list(sys.version_info[:2]));sys.stdout.write(t)")
-
-ifeq ($(PYV), 2)
-	SPHINXBUILD = ./sphinx-build3
-endif
 
 .PHONY: all templates html devhelp

=== debian/changelog ===
bst-external (0.29.0-2) unstable; urgency=medium

  * Add debian/upstream/metadata
  * Bump debhelper-compat to 13
  * Bump Standards-Version to 4.6.1

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 09 Dec 2022 14:31:34 -0500

bst-external (0.29.0-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream release (Closes: #962613)
  * Drop B-D python3-pytest-cov (Closes: #962613)

 -- Bastian Germann <bage@debian.org>  Mon, 07 Nov 2022 19:28:20 +0100

=== debian/control ===
--- 
+++ 
@@ -6,19 +6,19 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                dh-sequence-python3,
                python3,
                python3-buildstream <!nocheck>,
                python3-ruamel.yaml <!nocheck>,
                python3-pytest <!nocheck>,
-               python3-pytest-cov <!nocheck>,
                python3-pytest-runner,
                python3-setuptools,
-               python3-setuptools-scm
-Standards-Version: 4.3.0
+               python3-setuptools-scm,
+               python3-tomli
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/bst-external
 Vcs-Git: https://salsa.debian.org/gnome-team/bst-external.git

## bst-external 0.30.0

=== tests/project/src/Makefile ===

build:
	$(shell touch foo)

install: build
	install -d $(DESTDIR)/usr/share
	install -m 0644 foo $(DESTDIR)/usr/share/foo

all: build install

=== debian/changelog ===
bst-external (0.30.0-1) unstable; urgency=medium

  * New upstream release
  * Stop using dh-sequence-gnome
  * Update debian/watch
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 26 Mar 2025 15:10:04 -0400

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,9 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: bst-external
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
-               dh-sequence-gnome,
                dh-sequence-python3,
                python3,
                python3-buildstream <!nocheck>,
@@ -18,7 +13,7 @@
                python3-setuptools,
                python3-setuptools-scm,
                python3-tomli
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/bst-external
 Vcs-Git: https://salsa.debian.org/gnome-team/bst-external.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild

# The tests need some work to pass in Debian
override_dh_auto_test:
	-dh_auto_test

=== debian/watch ===
version=4
opts="searchmode=plain" \
https://gitlab.com/BuildStream/@PACKAGE@/-/tags \
       archive/[\d.]+\.?(?:beta|rc)?[\d.]*/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
